package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
)

type ArticleCateDao interface {
	GetArticleCate(id string) (m *model.ArticleCate, err error)
	ArticleCateByPid(pid string) (*[]model.ArticleCate, error)
	FindArticleCate(page, limit, pid string) (*[]model.ArticleCate, error)
	FindArticleCateAndTotal(page, limit, pid string) (*[]model.ArticleCate, int64, error)
	FindArticleCateAndTotalPid(page, limit string) (*[]model.ArticleCate, int64, error)
}
